API ReferenceapimessagingPUT /v1/messaging/segments/{id}/predicate

PUT /v1/messaging/segments/\{id\}/predicate

Service: messaging · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Request body

{
  "type": "object",
  "properties": {
    "predicate": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "predicate"
  ]
}

Responses

200 Updated

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "description": {
      "type": [
        "string",
        "null"
      ]
    },
    "predicate": {
      "type": "object",
      "additionalProperties": {}
    },
    "status": {
      "type": "string"
    },
    "created_by": {
      "type": "string"
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "brand_id",
    "name",
    "description",
    "predicate",
    "status",
    "created_by",
    "created_at",
    "updated_at"
  ]
}

400 Validation

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X PUT https://messaging.platform.loop.health/v1/messaging/segments/{id}/predicate \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'